<table class="table table-hover table-striped">
  <thead class="thead-light">
    <tr>
      <th>ID</th>
      <th>Name</th>
      <th>Type</th>
      <th>Priority</th>
      <th>State</th>
      <th>Assigned user</th>
      <th colspan="1"></th>
    </tr>
  </thead>

  <tbody>
    <% @issues.each do |issue| %>
      <tr>
        <th><%= link_to issue.issue_key, issue %></th>
        <td><%= issue.name %></td>
        <td>
          <i class="fas fa-<%= issue.issue_type.icon %>" style="color: <%= issue.issue_type.color %>"></i>
          <%= issue.issue_type.name %>
        </td>
        <td>
          <i class="fas fa-<%= issue.issue_priority.icon %>" style="color: <%= issue.issue_priority.color %>"></i>
          <%= issue.issue_priority.name %>
        </td>
        <td>
          <span class="badge badge-secondary" style="background-color: <%= issue.issue_state.color %>"><%= issue.issue_state.name %></span>
        </td>
        <td class="text-center">
          <% if issue.is_assigned? %>
            <img src="<%= user_gravatar_url(issue.assigned_user) %>" alt="<%= issue.assigned_user.email %>" class="rounded-circle" width="32">
          <% else %>
            <small class="text-muted">not assigned</small>
          <% end %>
        </td>
        <td><%= link_to 'Edit', edit_issue_path(issue) %></td>
        <!--        <td><%#= link_to 'Destroy', issue, method: :delete, data: { confirm: 'Are you sure?' } %></td>-->
      </tr>
    <% end %>
    <% if @issues.empty? %>
    <tr>
      <td colspan="6">
        <p class="text-muted text-center">No results found</p>
      </td>
    </tr>
    <% end %>
  </tbody>
  <tbody>
    <tr>
      <td colspan="2" class="align-middle">
        <%= @issues_grid.issues_total %> issues total
      </td>
      <td colspan="5" class="align-middle text-right">
        <nav aria-label="Page navigation example" class="d-inline-block">
          <ul class="pagination mb-0">
            <% if @issues_grid.has_previous? %>
            <li class="page-item"><a class="page-link" href="<%= url_for(issues_path(page: @issues_grid.page - 1)) %>">Previous</a></li>
            <% end %>
            <% for p in 1..@issues_grid.last_page %>
            <li class="page-item <%= @issues_grid.is_page?(p) ? 'active' : '' %>"><a href="<%= url_for(issues_path(page: p)) %>" class="page-link"><%= p %></a></li>
            <% end %>
            <% if @issues_grid.has_next? %>
              <li class="page-item"><a class="page-link" href="<%= url_for(issues_path(page: @issues_grid.page + 1)) %>">Next</a></li>
            <% end %>
          </ul>
        </nav>
      </td>
    </tr>
  </tbody>
</table>
